> ## Documentation Index
> Fetch the complete documentation index at: https://www.bugzy.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get execution details



## OpenAPI

````yaml /openapi/v1.json get /projects/{id}/executions/{executionId}
openapi: 3.1.0
info:
  title: Bugzy API
  description: >-
    Programmatic access to Bugzy's QA automation capabilities. Trigger test
    runs, query results, manage schedules, and configure event triggers.
  version: 1.0.0
  contact:
    name: Bugzy Support
    url: https://www.bugzy.ai
servers:
  - url: https://bugzy.ai/api/v1
    description: Production
security:
  - bearerAuth: []
paths:
  /projects/{id}/executions/{executionId}:
    get:
      tags:
        - Executions
      summary: Get execution details
      operationId: getExecution
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: executionId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Execution details
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Execution'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Execution:
      type: object
      properties:
        id:
          type: string
          format: uuid
        task_slug:
          type: string
          example: run-tests
        status:
          type: string
          enum:
            - queued
            - pending
            - running
            - completed
            - failed
            - cancelled
        triggered_by:
          type: string
        started_at:
          type: string
          format: date-time
          nullable: true
        completed_at:
          type: string
          format: date-time
          nullable: true
        created_at:
          type: string
          format: date-time
        environment_id:
          type: string
          format: uuid
          nullable: true
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              example: NOT_FOUND
            message:
              type: string
              example: Execution not found
          required:
            - code
            - message
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Project API key (bzy_proj_*) for project routes or team API key
        (bzy_team_*) for selected team routes.

````